import logging

import pprint

from typing import Union


class Log:
    def __new__(self, name: str, loglevel: str = "CRITICAL"):
        log = logging.getLogger(name=name)
        log.setLevel(loglevel)
        formatter = logging.Formatter(
            "%(asctime)s - [%(name)s] [%(levelname)s] - %(message)s"
        )
        handler = logging.StreamHandler()
        handler.setFormatter(formatter)

        log.addHandler(handler)
        self.log = log

        return log
