import app.commands.list as list
import app.commands.task as task
import typer

import pprint

from app.auth import Auth
from app.logs import Log
from app.settings import Settings
from app.web import Web

settings = Settings.config()
if "loglevel" in settings["vikunja-cli"]["general"]:
    log = Log("main", settings["vikunja-cli"]["general"]["loglevel"])
else:
    log = Log("main")

log.info("Application start")
log.debug("Debug mode enable")

app = typer.Typer()

app.add_typer(list.app, name="list")
app.add_typer(task.app, name="task")

if __name__ == "__main__":
    app()
